#
# spec file for package yast2-isns (Version 1.0.4)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison blocxx boost boost-devel bzip2 coreutils cpio cpp cracklib curl curl-devel cvs cyrus-sasl db dbus-1 dbus-1-devel dbus-1-glib dejagnu desktop-translations diffutils docbook-xsl-stylesheets docbook_4 doxygen e2fsprogs expat expect file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glib2 glib2-devel glibc glibc-32bit glibc-devel glibc-locale gnome-filesystem gpg gpm grep groff gzip hal hal-devel hwinfo info insserv klogd less libacl libattr libcom_err libgcc libgcrypt libgpg-error libgssapi libicu libidn libidn-devel libmudflap libnscd libpng libstdc++ libstdc++-devel libtool libusb libxcrypt libxml2 libxml2-devel libxslt liby2util libzio libzypp libzypp-devel m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl openssl-devel pam pam-modules patch pcre perl perl-XML-Writer perl-gettext permissions pkgconfig popt popt-devel procinfo procps psmisc pwdutils rcs readline rpm rpm-devel sed sgml-skel strace sysfsutils sysvinit tar tcl tcpd texinfo timezone unzip update-desktop-files util-linux vim wireless-tools yast2 yast2-core yast2-devtools yast2-hardware-detection yast2-perl-bindings yast2-pkg-bindings yast2-testsuite zlib zlib-devel


Name:           yast2-isns
Version:        1.0.4
Release:        39.3
License:        GPL v2 or later
Group:          System/YaST
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        yast2-isns-1.0.4.tar.bz2
Prefix:         /usr
BuildRequires:  docbook-xsl-stylesheets doxygen libxslt perl-XML-Writer popt-devel sgml-skel update-desktop-files yast2 yast2-devtools yast2-packagemanager-devel yast2-perl-bindings yast2-testsuite
Requires:       yast2
BuildArch:      noarch
Summary:        YaST2 - Configuration of Internet Storage Naming Service (isns)

%description
This package provides the YaST2 configuration for Internet Storage
Naming Service (iSNS).

The iSNS provides registration functions that allow all entities in a
storage network to register and query the iSNS database.  Both iSCSI
initiators and targets register with this service. Discovery Domains
are used in the iSNS service to place register nodes into manageable
groupings. This package provide the ability to administer these
Discovery Domains.



Authors:
--------
    Robert Whitehead

%debug_package
%prep
%setup -n yast2-isns-1.0.4

%build
%{prefix}/bin/y2tool y2autoconf
%{prefix}/bin/y2tool y2automake
autoreconf --force --install
export CFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
export CXXFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
%{?suse_update_config:%{suse_update_config -f}}
./configure --libdir=%{_libdir} --prefix=%{prefix} --mandir=%{_mandir}
make %{?jobs:-j%jobs}

%install
make install DESTDIR="$RPM_BUILD_ROOT"
[ -e "%{prefix}/share/YaST2/data/devtools/NO_MAKE_CHECK" ] || Y2DIR="$RPM_BUILD_ROOT/usr/share/YaST2" make check DESTDIR="$RPM_BUILD_ROOT"
for f in `find $RPM_BUILD_ROOT/%{prefix}/share/applications/YaST2/ -name "*.desktop"` ; do
    d=${f##*/}
    %suse_update_desktop_file -d ycc_${d%.desktop} ${d%.desktop}
done

%clean
rm -rf "$RPM_BUILD_ROOT"

%files
%defattr(-,root,root)
%dir /usr/share/YaST2/include/isns
/usr/share/YaST2/include/isns/*
/usr/share/YaST2/clients/isns.ycp
/usr/share/YaST2/clients/isns_*.ycp
/usr/share/YaST2/clients/inst_isns.ycp
/usr/share/YaST2/modules/IsnsServer.*
%{prefix}/share/applications/YaST2/isns.desktop
/usr/share/YaST2/scrconf/isnsd.scr
%doc %{prefix}/share/doc/packages/yast2-isns

%changelog
* Tue Jan 08 2008 - wrwhitehead@novell.com
- Submit to sles10-sp2 the updated yast for isns which was used from 10.3
* Tue Sep 18 2007 - wrwhitehead@novell.com
- Fixed Bug #325129 - iSNS server not running feedback and
  updated dialogs to display only the non-selected nodes
* Tue Sep 04 2007 - wrwhitehead@novell.com
- Updated display pages to be more user friendly.  Added help text.
* Wed Aug 29 2007 - wrwhitehead@novell.com
- Resized display pages and fixed some typeos in the text labels
* Fri Apr 13 2007 - wrwhitehead@novell.com
- Fixed Bug 257976 Note displaying target/initiator types
* Thu Feb 15 2007 - WRWhitehead@novell.com
- initial version (FATE #233)
